Bug Hunting Session
Bug 57285 - Address Book Data Source Wizard lists "Mac OS X address book" on Linux
Summary: Address Book Data Source Wizard lists "Mac OS X address book" on Linux
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: All Linux (All)
: medium normal
Assignee: DavidO
URL:
Whiteboard: target:4.0.0
Keywords: regression
Depends on:
Blocks: Address-Source
  Show dependency treegraph
 
Reported: 2012-11-19 17:46 UTC by Stephan Bergmann
Modified: 2017-12-06 20:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2012-11-19 17:46:06 UTC
With a current master Linux build, "File - Wizards - Address Data Source..." on the first "Address book type" page lists "Mac OS X address book".  (Selecting it and clicking "Next >>" leads to an error box "The file $filename$ could not be loaded.")  This is not the case for a current libreoffice-3-6 Linux build.

The reason appears to be that MorkDriver::acceptsURL (connectivity/source/drivers/mork/MDriver.cxx) always returns true, so that the check of xManager->getDriverByURL("sdbc:address:macab") always succeeds in the TypeSelectionPage ctor (extensions/source/abpilot/typeselectionpage.cxx).  (Looking at MozabDriver::acceptsURL, connectivity/source/drivers/mozab/MDriver.cxx, that one would return true for URLs starting with any of sdbc:address:mozilla:, sdbc:address:thunderbird:, sdbc:address:ldap:.  No idea what the correct implementation for the mork driver would be.)
Comment 1 DavidO 2012-11-20 09:56:28 UTC
Now i know what this acceptsURL function is for. For now mork driver is only responsible for sdbc:address:thunderbird:. It can only read mork file format, used in Thunderbird and Icedove. I am not sure what is sdbc:address:mozilla: for?

So i would only return true for "sdbc:address:thunderbird:" and look it we would be missing something?
Comment 2 Lionel Elie Mamane 2012-11-20 13:05:21 UTC
(In reply to comment #1)
> Now i know what this acceptsURL function is for. For now mork driver is only
> responsible for sdbc:address:thunderbird:. It can only read mork file
> format, used in Thunderbird and Icedove. I am not sure what is
> sdbc:address:mozilla: for?

I think it is for SeaMonkey address book, which I think also uses mork. As such, it would be nice if our mork-based driver *also* handled SeaMonkey address book. It is probably "just" a problem of looking in ~/.seamonkey instead of in ~/.thunderbird (maybe with a different filename) or something like that.

> So i would only return true for "sdbc:address:thunderbird:" and look it we
> would be missing something?

The mozab driver apparently also handled sdbc:address:ldap. Do we have a replacement for that? That would certainly not be the mork driver, but we need to investigate this -> forking into a separate bug.
Comment 3 Stephan Bergmann 2012-11-20 17:31:24 UTC
(In reply to comment #2)
> The mozab driver apparently also handled sdbc:address:ldap. Do we have a
> replacement for that? That would certainly not be the mork driver, but we
> need to investigate this -> forking into a separate bug.

-> bug 57322
Comment 4 Not Assigned 2012-11-20 21:42:41 UTC
David Ostrovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b9c10e298a5285edbeb87c47303c151209abded

fdo#57285 restore acceptsURL logic



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.